import { createMessageConnection as createMessageConnectionRW } from "vscode-jsonrpc";
import { createMessageReader } from "./reader";
import { createMessageWriter } from "./writer";
/**
 * Create VSCode JSON RPC `MessageConnection` with Web Worker.
 * @param worker
 * @param logger
 */
export const createMessageConnection = (worker, logger = createConsoleLogger()) => {
    const conn = createMessageConnectionRW(createMessageReader(worker), createMessageWriter(worker), logger);
    conn.onClose(() => conn.dispose());
    // Return MessageConnection wrapped in Promise to match the Web Socket version.
    return Promise.resolve(conn);
};
const createConsoleLogger = () => ({
    error: (message) => console.error(message),
    warn: (message) => console.warn(message),
    info: (message) => console.info(message),
    log: (message) => console.log(message),
});
//# sourceMappingURL=connection.js.map